Subject: Re: bug#8490: dd reads random number of records from pipes - named or otherwise - coreutils 8.9

From: Bjartur Thorlacius <[email-masked]>
Date: Wed, 13 Apr 2011 14:39:41 +0000

Have you looked into fullblock? If you only specify bs and  count (and
not ibs or obs) dd may fill the buffer partially. It'll do try to do
count copies, but each copy may contain less data than expected. This
sort of makes sense on HDDs or tapes with variable block sizes (where
a read would return a whole block, but the block would be smaller than
user specified bs). In this case dd will preserve the original block
size. I've never encountered such an odditie — Or maybe I have,
without noticing.

I think about noone that hasn't been involved in the development, in
one way or another, gets this wrong (I don't quite get it yet). I
think this should be changed, unless the user provids a hypothetical
partblock option.